1

Topic: Upgrading from Ubuntu 16.04LTS to 18.04LTS while on 0.9.9

==== REQUIRED BASIC INFO OF YOUR IREDMAIL SERVER ====
- iRedMail version (check /etc/iredmail-release): 0.9.9
- Deployed with iRedMail Easy or the downloadable installer?  Downloadable Installer
- Linux/BSD distribution name and version:  Ubuntu 16.04 LTS
- Store mail accounts in which backend (LDAP/MySQL/PGSQL): MySQL
- Web server (Apache or Nginx): Apache
- Manage mail accounts with iRedAdmin-Pro? Yes
- [IMPORTANT] Related original log or error message is required if you're experiencing an issue.
====

Running the mail server 0.9.9 as a VM instance. I want to update the Ubuntu from 16.04LTS  to 18.04LTS. Please advise on the easiest course.
Taken a copy of the VM and tried as below..
----------------
Tried to upgrade a copy using the recommended update-manager-core. All went well using the existing config as they were.
When the browser to roundcube is opened up... instead of the ususal screen, the php contents are displayed... as below.
<?php
/**
+-------------------------------------------------------------------------+
| Roundcube Webmail IMAP Client                                           |
| Version 1.3.8                                                           |
|                                                                         |
| Copyright (C) 2005-2018, The Roundcube Dev Team                         |
|                                                                         |
| This program is free software: you can redistribute it and/or modify    |
| it under the terms of the GNU General Public License (with exceptions   |
| for skins & plugins) as published by the Free Software Foundation,      |
| either version 3 of the License, or (at your option) any later version. |
|                                                                         |
| This file forms part of the Roundcube Webmail Software for which the    |
| following exception is added: Plugins and Skins which merely make       |
| function calls to the Roundcube Webmail Software, and for that purpose  |
| include it by reference shall not be considered modifications of        |
| the software.                                                           |
|                                                                         |
| If you wish to use this file in another project or create a modified    |
| version that will not be part of the Roundcube Webmail Software, you    |
| may remove the exception above and use this source code under the       |
| original version of the license.                                        |
|                                                                         |
| This program is distributed in the hope that it will be useful,         |
| but WITHOUT ANY WARRANTY; without even the implied warranty of          |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the            |
| GNU General Public License for more details.                            |
|                                                                         |
| You should have received a copy of the GNU General Public License       |
| along with this program.  If not, see http://www.gnu.org/licenses/.     |
|                                                                         |
+-------------------------------------------------------------------------+
| Author: Thomas Bruederli <roundcube@gmail.com>                          |
| Author: Aleksander Machniak <alec@alec.pl>                              |
+-------------------------------------------------------------------------+
*/

// include environment
require_once 'program/include/iniset.php';
.......etc...

iredamin - loads correctly..

------

Please advise... on the best approach.

2

Re: Upgrading from Ubuntu 16.04LTS to 18.04LTS while on 0.9.9

Do you have php module correctly enabled and loaded in Apache?

----

Does my reply help a little? How about buying me a cup of coffee ($5) as an encouragement?

buy me a cup of coffee

3

Re: Upgrading from Ubuntu 16.04LTS to 18.04LTS while on 0.9.9

Perfect, used sudo a2enmod php7.2 and service apache2 restart

+ cofee

4

Re: Upgrading from Ubuntu 16.04LTS to 18.04LTS while on 0.9.9

mano wrote:

+ cofee

Thank you. smile

----

Does my reply help a little? How about buying me a cup of coffee ($5) as an encouragement?

buy me a cup of coffee